## pykafka 2.7.0

=== Makefile ===
doc:
	pip install pykafka[docs]
	cd doc/ && make html

lint:
	pip install --use-mirrors kafka[lint]
	pyflakes ./kafka
	pyflakes ./tests
	pep8 ./kafka ./tests

unit:
	python setup.py nosetests --attr=!integration

integration:
	python setup.py nosetests --attr=integration

test:
	python setup.py nosetests

vendor:
	make -C vendor


.PHONY: doc unit integration test lint vendor

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pykafka.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pykafka.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pykafka"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pykafka"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pykafka (2.7.0-2.1) unstable; urgency=medium

  * Patch: Support setuptools 60 (Closes: #1022464)
  * Port from nose to pytest. (Closes: #1018446)
  * Patch: Update pytest config format.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 12 Nov 2022 14:50:12 +0200

pykafka (2.7.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Remove broken test (Closes: #1011738).
  * Add myself as uploader.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 May 2022 09:38:30 +0200

pykafka (2.7.0-1) unstable; urgency=medium

  * Initial release (Closes: #918039).

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 02 Jan 2019 17:55:13 +0100

=== debian/control ===
Source: pykafka
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Michal Arbet <michal.arbet@ultimum.io>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 librdkafka-dev,
 python3-all-dev,
 python3-kazoo,
 python3-pbr (>= 2.0.0),
 python3-pytest,
 python3-pytest-cov,
 python3-setuptools,
 python3-six,
 python3-snappy,
 python3-tabulate,
 python3-unittest2,
Standards-Version: 4.1.3
Homepage: https://github.com/Parsely/pykafka
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pykafka.git
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pykafka

Package: python3-pykafka
Architecture: any
Depends:
 python3-kazoo,
 python3-six,
 python3-tabulate,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python3-gevent,
 python3-lz4 (>= 0.10.1),
 python3-lz4tools,
 python3-xxhash,
Description: PyKafka is Kafka client for Python.
 PyKafka is a programmer-friendly Kafka client for Python.
 It includes Python implementations of Kafka producers and
 consumers, which are optionally backed by a C extension built
 on librdkafka. It runs under Python 2.7+, Python 3.4+, and
 PyPy, and supports versions of Kafka 0.8.2 and newer.
 .
 PyKafka's primary goal is to provide a similar level of
 abstraction to the JVM Kafka client using idioms familiar
 to Python programmers and exposing the most Pythonic API possible.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/openstack-pkg-tools/pkgos.make
UPSTREAM_GIT = https://github.com/Parsely/pykafka.git

export PYBUILD_NAME=pykafka
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}/
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
export PYBUILD_DISABLE_python2=1
export PYBUILD_TEST_ARGS_python3=tests \
       --ignore=tests/pykafka/rdkafka/test_rd_kafka_consumer.py \
       --ignore=tests/pykafka/rdkafka/test_simple_consumer.py \
       --ignore=tests/pykafka/rdkafka/test_ssl.py \
       --ignore=tests/pykafka/test_balancedconsumer.py \
       --ignore=tests/pykafka/test_cluster.py \
       --ignore=tests/pykafka/test_partition.py \
       --ignore=tests/pykafka/test_producer.py \
       --ignore=tests/pykafka/test_simpleconsumer.py \
       --ignore=tests/pykafka/test_ssl.py \
       --ignore=tests/pykafka/utils/test_compression.py

export no_proxy=example.com


%:
	dh $@ --buildsystem=pybuild --with python3
